Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait MatchApproximation extends TreeAndTypeAnalysis with ScalaLogic with MatchTreeMaking
  Definition Classes
    patmat
-  trait MatchApproximator extends TreeMakers with TreesAndTypesDomain

  Represent a match as a formula in propositional logic that encodes whether the match matches (abstractly: we only consider types)

  Represent a match as a formula in propositional logic that encodes whether the match matches (abstractly: we only consider types)

  Definition Classes
    MatchApproximation
- AbsCodegen
- AbsVar
- AlternativesTreeMaker
- AnalysisBudget
- And
- AtMostOne
- BodyTreeMaker
- Casegen
- CommonCodegen
- CondTreeMaker
- Const
- EmptySubstitution
- Eq
- EqualityTestTreeMaker
- ExtractorTreeMaker
- False
- FunTreeMaker
- GuardTreeMaker
- IrrefutableExtractorTreeMaker
- NoNewBinders
- Not
- NullConst
- Or
- PreserveSubPatBinders
- ProductExtractorTreeMaker
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- SubstOnlyTreeMaker
- Substitution
- Sym
- Test
- TreeMaker
- TreeMakersToProps
- TreeMakersToPropsIgnoreNullChecks
- TrivialTreeMaker
- True
- TypeConst
- TypeConstExtractor
- TypeTestTreeMaker
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor

c

scala.tools.nsc.transform.patmat.MatchApproximation.MatchApproximator

# Test 

###
Companion object Test

#### case class Test(prop: MatchApproximator.Prop, treeMaker: MatchApproximator.TreeMaker) extends Product with Serializable

Source
  MatchAnalysis.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Test
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Test(prop: MatchApproximator.Prop, treeMaker: MatchApproximator.TreeMaker)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Test to any2stringadd[Test] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Test, B)
   Implicit
     This member is added by an implicit conversion from Test to ArrowAssoc[Test] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Test) ⇒ Boolean, msg: ⇒ Any): Test
   Implicit
     This member is added by an implicit conversion from Test to Ensuring[Test] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Test) ⇒ Boolean): Test
   Implicit
     This member is added by an implicit conversion from Test to Ensuring[Test] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Test
    Implicit
      This member is added by an implicit conversion from Test to Ensuring[Test] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Test
    Implicit
      This member is added by an implicit conversion from Test to Ensuring[Test] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Test to StringFormat[Test] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
16.  val id: Int
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
21.  val prop: MatchApproximator.Prop
22.  def registerReuseBy(later: Test): Unit
23.  var reuses: Option[Test]
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      Test → AnyRef → Any
26.  val treeMaker: MatchApproximator.TreeMaker
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Test, B)
    Implicit
      This member is added by an implicit conversion from Test to ArrowAssoc[Test] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Test to any2stringadd[Test]

### Inherited by implicit conversion StringFormat from Test to StringFormat[Test]

### Inherited by implicit conversion Ensuring from Test to Ensuring[Test]

### Inherited by implicit conversion ArrowAssoc from Test to ArrowAssoc[Test]

### Ungrouped